﻿using System;

using DevExpress.XtraEditors;
using DevExpress.XtraMap;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 빙 맵 키
        /// </summary>
        private string bingKey = "INPUT YOUR BING KEY";

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.bingMapDataProvider.BingKey = this.bingKey;

            this.printButton.Click += printButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 인쇄하기 버튼 클릭시 처리하기 - printButton_Click(sender, e)

        /// <summary>
        /// 인쇄하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void printButton_Click(object sender, EventArgs e)
        {
            this.mapControl.PrintOptions.PrintMiniMap         = true;
            this.mapControl.PrintOptions.PrintNavigationPanel = true;
            this.mapControl.PrintOptions.PrintOverlays        = true;
            this.mapControl.PrintOptions.SizeMode             = MapPrintSizeMode.Zoom;

            this.mapControl.Print();
        }

        #endregion
    }
}